VC(3)

PACKAGE
vc - Routines to manipulate a VX display and colourmaps

PURPOSE
These routines are meant to provide an abstracted interface to a VX display and colourmaps, used in the <-kcmap-> routines.

LIBRARY
karmavx

LINK WITH
-lkarmavx

FUNCTIONS

vc_get_dpy_handle
    Generate a display handle for later use.

vc_alloc_colours
    Allocate colourcells.

vc_free_colours
    Free a number of colourcells in a low level colourmap.

vc_store_colours
    Store colours into a low level colourmap.

vc_store_colours_24bit
    Store colours into a low level colourmap.

vc_get_location
    Determine the location of the graphics display being used.

vc_set_visualtype
    Set the current visual of the viewable colourmap.

vc_get_visualtype
    Get the current visual of the viewable colourmap.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/